Subject: RE: bug#9737: misc/timeout-group: spurious test failure on SLES 10.3 (coreutils 8.14)

From: "Voelker, Bernhard" <[email-masked]>
Date: Thu, 3 Nov 2011 18:11:10 +0100

Pádraig Brady wrote:

> I reproduced this weirdness in OpenSuse 10.3 in a VM.
> Much less frequently though.
> Delays in 10 out of 2750
> Signal handler call failure in 1 out of 2750

Sorry for my late reply. Thanks.

> The delays might be due to bash, but I updated
> to 4.2 and the issue still persists.

I have:  bash --version
GNU bash, version 3.1.17(1)-release (x86_64-suse-linux)

> I suspect kernel issues too.
> 
> Anyway I've attached 2 patches to replace the previous one.
> 
> The first hopefully addresses any races in the test.
> I don't think you hit any of these TBH.
> The second should detect the signal issues and skip the test.

I was using this:

  for i in $( seq 1000 ) ; do
    rm   misc/timeout-group.log
    make misc/timeout-group.log
  done | grep -v PASS

Without the patches, I got:

* 153 FAILures.

With the patches, I get:

* 6x:
  timeout-group: skipped test: timeout.cmd didn't receive a signal until after sleep?
  SKIP: misc/timeout-group

* 62x:
  timeout-group: skipped test: timeout returned 142. SIGALRM not handled?
  SKIP: misc/timeout-group

Does this help?
If you need access to that machine, it's possible but not easy.

Have a nice day,
Berny